package com.jianshui.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jianshui.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jianshui.system.mapper.InvoiceAllApiLogMapper;
import com.jianshui.system.domain.InvoiceAllApiLog;
import com.jianshui.system.service.IInvoiceAllApiLogService;

/**
 * API调用记录-金四Service业务层处理
 * 
 * @author jianshui
 * @date 2022-12-13
 */
@Service
public class InvoiceAllApiLogServiceImpl extends ServiceImpl<InvoiceAllApiLogMapper, InvoiceAllApiLog> implements IInvoiceAllApiLogService
{
    @Autowired
    private InvoiceAllApiLogMapper invoiceAllApiLogMapper;

    /**
     * 查询API调用记录-金四
     * 
     * @param id API调用记录-金四主键
     * @return API调用记录-金四
     */
    @Override
    public InvoiceAllApiLog selectInvoiceAllApiLogById(Long id)
    {
        return invoiceAllApiLogMapper.selectInvoiceAllApiLogById(id);
    }

    /**
     * 查询API调用记录-金四列表
     * 
     * @param invoiceAllApiLog API调用记录-金四
     * @return API调用记录-金四
     */
    @Override
    public List<InvoiceAllApiLog> selectInvoiceAllApiLogList(InvoiceAllApiLog invoiceAllApiLog)
    {
        return invoiceAllApiLogMapper.selectInvoiceAllApiLogList(invoiceAllApiLog);
    }

    /**
     * 新增API调用记录-金四
     * 
     * @param invoiceAllApiLog API调用记录-金四
     * @return 结果
     */
    @Override
    public int insertInvoiceAllApiLog(InvoiceAllApiLog invoiceAllApiLog)
    {
        invoiceAllApiLog.setCreateTime(DateUtils.getNowDate());
        return invoiceAllApiLogMapper.insertInvoiceAllApiLog(invoiceAllApiLog);
    }

    /**
     * 修改API调用记录-金四
     * 
     * @param invoiceAllApiLog API调用记录-金四
     * @return 结果
     */
    @Override
    public int updateInvoiceAllApiLog(InvoiceAllApiLog invoiceAllApiLog)
    {
        return invoiceAllApiLogMapper.updateInvoiceAllApiLog(invoiceAllApiLog);
    }

    /**
     * 批量删除API调用记录-金四
     * 
     * @param ids 需要删除的API调用记录-金四主键
     * @return 结果
     */
    @Override
    public int deleteInvoiceAllApiLogByIds(Long[] ids)
    {
        return invoiceAllApiLogMapper.deleteInvoiceAllApiLogByIds(ids);
    }

    /**
     * 删除API调用记录-金四信息
     * 
     * @param id API调用记录-金四主键
     * @return 结果
     */
    @Override
    public int deleteInvoiceAllApiLogById(Long id)
    {
        return invoiceAllApiLogMapper.deleteInvoiceAllApiLogById(id);
    }
}
